Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.data.datatype
Class Residue3D

    java.lang.Object
      jprotein.data.datatype.Residue
          jprotein.data.datatype.Residue3D

    public class Residue3D

extends Residue

On ajoute une chaine squelette, une chaine laterale (composes d'atomes), un centre de gravite, un rayon max (par rapport au centre de gravite) et un sequence_break (?) à la classe residu. Les coordonnees sont stockees dans les atomes qui constituent le residu.

Constructor Summary
`Residue3D(java.lang.String residue)` CONSTRUCTEURS
`Residue3D(java.lang.String residue, int pos)`

Method Summary
`void` | `addAtom(java.lang.String name, javax.vecmath.Point3f coord3D)` Ajout d'atomes
`boolean` | `containsAtomCoordinates()`
`float` | `distance(Residue3D residue)` Calcul de la distance entre les 2 carbones alpha de 2 residus.
`boolean` | `equals(java.lang.Object o)`
`java.util.Vector` | `getAllAtoms()`
`javax.vecmath.Point3f` | `getCarbonAlphaCoordinates()` Coordonnees du carbone alpha qui est en position 0 du squelette
`javax.vecmath.Point3f` | `getCenterGravityCoordinates()` Calcul du centre de gravite
`float` | `getRadius()` Calcul du rayon max par rapport au centre de gravite
`Atom` | `getSideChainAtom(int i)`
`int` | `getSideChainSize()` Accesseurs de la chaine laterale
`Atom` | `getSqueletonAtom(int i)` Accesseurs d'atomes (dans la chaine laterale et le squelette
`Atom` | `getSqueletonAtom(java.lang.String atomName)`
`int` | `getSqueletonSize()` Accesseurs de la chaine squelette
`boolean` | `hasSequenceBreak()` ACCESSEURS
`float` | `minAtomDistance(Residue3D residue)` Calcul de la distance minimale entre deux residus (en comparant les distance entre leur atomes).
`float` | `minSideChainDistance(Residue3D residue)` Calcul de la distance minimale entre deux chaines laterales de deux residus (en comparant les distance entre leur atomes).
`void` | `setSequenceBreak(boolean sequenceBreak)`

Methods inherited from class jprotein.data.datatype.Residue
`getPosition, getResidueCode, getResidueCode, getResidueIndex, getResidueIndex, getResidueIndex, getResidueSymbol, getResidueSymbol, isAccessible, setAccessibility, setPosition, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Residue3D

    public Residue3D(java.lang.String residue)

  CONSTRUCTEURS

### Residue3D

    public Residue3D(java.lang.String residue,
                     int pos)

Method Detail

### addAtom

    public void addAtom(java.lang.String name,
                        javax.vecmath.Point3f coord3D)

  Ajout d'atomes

### setSequenceBreak

    public void setSequenceBreak(boolean sequenceBreak)

### hasSequenceBreak

    public boolean hasSequenceBreak()

  ACCESSEURS

### containsAtomCoordinates

    public boolean containsAtomCoordinates()

### getSqueletonSize

    public int getSqueletonSize()

  Accesseurs de la chaine squelette

### getSideChainSize

    public int getSideChainSize()

  Accesseurs de la chaine laterale

### getAllAtoms

    public java.util.Vector getAllAtoms()

### getSqueletonAtom

    public Atom getSqueletonAtom(int i)

  Accesseurs d'atomes (dans la chaine laterale et le squelette

### getSqueletonAtom

    public Atom getSqueletonAtom(java.lang.String atomName)

### getSideChainAtom

    public Atom getSideChainAtom(int i)

### getCarbonAlphaCoordinates

    public javax.vecmath.Point3f getCarbonAlphaCoordinates()

  Coordonnees du carbone alpha qui est en position 0 du squelette

### getCenterGravityCoordinates

    public javax.vecmath.Point3f getCenterGravityCoordinates()

  Calcul du centre de gravite

### getRadius

    public float getRadius()

  Calcul du rayon max par rapport au centre de gravite

### minAtomDistance

    public float minAtomDistance(Residue3D residue)

  Calcul de la distance minimale entre deux residus (en comparant les distance entre leur atomes).

### minSideChainDistance

    public float minSideChainDistance(Residue3D residue)

  Calcul de la distance minimale entre deux chaines laterales de deux residus (en comparant les distance entre leur atomes).

### distance

    public float distance(Residue3D residue)

  Calcul de la distance entre les 2 carbones alpha de 2 residus.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `Residue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD